Subject: Re: [PATCH v6 1/8] fetch: lowercase error messages

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Nov 2021 00:09:08 -0800

Anders Kaseorg <[email-masked]> writes:

> On Tue, 16 Nov 2021, Junio C Hamano wrote:
>> > Documentation/CodingGuidelines says “do not end error messages with a
>> > full stop” and “do not capitalize the first word”.  Reviewers requested
>> > updating the existing messages to comply with these guidelines prior to
>> > the following patches.
>> 
>> Thanks.  Whether reviewers requested or you thought of it on your
>> own, separating such a preliminary clean-up into its own patch would
>> be a good idea, especially if the later patches need to update (some
>> of) them.
>
> It was your request; I just mentioned it in case other reviewers wonder 
> why this belongs in this topic.

Sorry, let me try again, as I wasn't clear enough.

Readers of "git log", for whom we write our log messages, are not
interested if reviewers suggested, or you came up on your own.  The
more relevant thing for them to learn from our log messages is the
reason why that solution was chosen (and the fact that the author is
now committed to the chosen solution---not "this does not make much
sense but I am randomly updating as I was told"). E.g.

    ... first word".  This file has many existing messages that
    violate these guidelines.  Clean them up in preparation for
    subsequent patches that touch some of these messages.

or something like that.